clear
set more off
capture log close

set trace off
clear matrix
set mem 3g


cap log close
log using ${log}Figure1.log, replace

use ${data}data_pre_akm_all_pt.dta if fullsize5==1, clear

*Decomposition of the variance - between/within component

*Generate a fake industry indicator for firms
gen ind_1=ind
drop ind_4
gen ind_4=cvrnr

replace timnorm=timnorm+timover

forvalues i=1(1)4 {
* 1, 2, 3 digits industry classification and firms (ind_4)
preserve 
*Within Component
bys ind_`i' year: egen meansg=mean(timnorm)
gen devw=(timnorm-meansg)^2
bys ind_`i' year: egen withins1=sum(devw)
bys ind_`i' year: egen sdwithn=sd(timnorm)

*Between Component
bys year: egen meanall=mean(timnorm)
gen d=1
bys ind_`i' year: egen num=sum(d)
gen devb=(num)*(meansg-meanall)^2

bys year: egen totaln=total(d)

*Total component
gen devt=(timnorm-meanall)^2
bys ind_`i' year: egen totalp=sum(devt)


bys ind_`i' year: keep if _n==1
bys year: egen within=sum(withins1)
bys year: egen between=sum(devb)
bys year: egen total=sum(totalp)

replace within=within/totaln
replace between=between/totaln
replace total=total/totaln

bys year: keep if _n==1

gen ratiob=between/total 
sum ratiob
gen ratiow=within/total
sum ratiow
gen sumratio=ratiob+ratiow
sum sumratio

restore
}


log close
