


clear
set more off
capture log close

set trace off
clear matrix
set mem 3g

log using ${log}figure2.log, replace

use ${data}data_pre_akm_all_pt.dta , clear

preserve
use  ${data}data_post_akm_all_hwav1_indov_normpt.dta, clear
sort pnr cvrnr year 
save ${data}post_akm, replace
restore 

merge 1:1 pnr cvrnr year using ${data}post_akm
erase ${data}post_akm.dta
drop if _merge==2
drop _merge

gen timtot=timnorm+timover

*Define skill def_2
gen skill_inddef2=personeffect+xb
forvalues i=10(10)90 {
bys year: egen bound`i'=pctile(skill_inddef2), p(`i')
}

gen skill_def2=.
replace skill_def2=1 if skill_inddef2<=bound10
replace skill_def2=2 if skill_inddef2>bound10 & skill_inddef2<=bound20
replace skill_def2=3 if skill_inddef2>bound20 & skill_inddef2<=bound30
replace skill_def2=4 if skill_inddef2>bound30 & skill_inddef2<=bound40
replace skill_def2=5 if skill_inddef2>bound40 & skill_inddef2<=bound50
replace skill_def2=6 if skill_inddef2>bound50 & skill_inddef2<=bound60
replace skill_def2=7 if skill_inddef2>bound60 & skill_inddef2<=bound70
replace skill_def2=8 if skill_inddef2>bound70 & skill_inddef2<=bound80
replace skill_def2=9 if skill_inddef2>bound80 & skill_inddef2<=bound90
replace skill_def2=10 if skill_inddef2>bound90

count if skill_def2==. 


*Constraints
bysort cvrnr skill_def2 year: egen mean_hours2=mean(timtot)
preserve 
bysort cvrnr skill_def2 year: keep if _n==1 
bysort cvrnr year: egen sd2=sd(mean_hours2)

gen d=1
bysort cvrnr year: egen sizesg=total(d)
replace sd2=. if sizesg==1
bysort cvrnr year: keep if _n==1
keep cvrnr year sd2
sort cvrnr year
save ${temp}sd_def2, replace
restore
merge m:1 cvrnr year using ${temp}sd_def2
drop _merge
erase ${temp}sd_def2.dta

*Distribution - dropping those above 95th pctile for data confidentiality 
collapse sd2 fansh, by(cvrnr year) 
label var sd2 "Std. dev. hours btw skill groups"
egen pctile95=pctile(sd2), p(95)
gen extreme5uw=(sd2>pctile95)
replace fansh=round(fansh)
hist sd2 if extreme5uw==0 [fw=fansh], width(10) fraction graphregion(color(white)) color(gs6)
graph export ${graphs}Figure2.pdf, replace

log close

