clear
set more off
capture log close


clear matrix
set mem 3g

cap log close
log using ${log}Figure3.log, replace

use  ${data}dario_part_time_new.dta, clear

rename firmeffect_hwav1_part_norm firmeffect_hwav1_norm_firm
rename  sgs5_hwav1_part_norm_1  sgs5_hwav1_norm_firm_1 
rename  sgs5_hwav1_part_norm_2  sgs5_hwav1_norm_firm_2
rename  sgs5_hwav1_part_norm_3  sgs5_hwav1_norm_firm_3
rename  sgs5_hwav1_part_norm_4  sgs5_hwav1_norm_firm_4
rename  sgs5_hwav1_part_norm_5  sgs5_hwav1_norm_firm_5
rename  sgs5_hwav1_part_norm_6  sgs5_hwav1_norm_firm_6
rename  sgs5_hwav1_part_norm_7  sgs5_hwav1_norm_firm_7
rename  sgs5_hwav1_part_norm_8  sgs5_hwav1_norm_firm_8
rename  sgs5_hwav1_part_norm_9  sgs5_hwav1_norm_firm_9
rename  sgs5_hwav1_part_norm_10  sgs5_hwav1_norm_firm_10
rename sd_5uw_hwav1_part_norm sd_5uw_hwav1_norm_firm
gen feffect_hwav1_norm_firmnd= firmeffect_hwav1_norm_firm
gen sd_5uw_hwav1_norm_firmnd= sd_5uw_hwav1_norm_firm

gen lhwagend=lhwage

sort cvrnr
merge cvrnr using ${data}preference.dta
keep if _merge==3
drop _merge


tab ind_3, gen(ind_3_)


global ability      "avmangability avmedtability avmedbability avbotability preference"
global cntrl_base  "fansh exp funion female timnorm timnorm2 cap_emp "
global  prod        "va_emp vaemp2 vaemp3 tfp"
global reg       "reg1-reg4"
global threedigit "ind_3_1- ind_3_183"

ds hourlyind indfixsam cvrnr ind ind_1 ind_2 ind_3 ind_5 min_ind min_ind2  reg1 reg2 reg3 reg4 reg5 i1 i2 i3 i4 i5 i6   indpeak lhwagend feffect_hwav1_norm_firmnd  sd_5uw_hwav1_norm_firmnd, not

foreach i of var `r(varlist)' {
egen `i'std=std(`i')
local labelx: variable label `i'
replace `i'=`i'std
label var `i' "`labelx'"

}

********************************************************************************
******************************Panel A*******************************************
********************************************************************************

preserve    
areg firmeffect_hwav1_norm_firm $cntrl_base $reg  $ability sgs5_hwav1_norm_firm_1 sgs5_hwav1_norm_firm_2 sgs5_hwav1_norm_firm_3 sgs5_hwav1_norm_firm_4 ///
sgs5_hwav1_norm_firm_5 sgs5_hwav1_norm_firm_6 sgs5_hwav1_norm_firm_7 sgs5_hwav1_norm_firm_8 sgs5_hwav1_norm_firm_9 sgs5_hwav1_norm_firm_10, absorb(ind_3) vce(cluster ind_3)
predict res_5uw_hwav1_norm_firm_plot, res
rename res_5uw_hwav1_norm_firm_plot res
areg sd_5uw_hwav1_norm_firm $cntrl_base $reg $ability sgs5_hwav1_norm_firm_1 sgs5_hwav1_norm_firm_2 sgs5_hwav1_norm_firm_3 sgs5_hwav1_norm_firm_4 ///
sgs5_hwav1_norm_firm_5 sgs5_hwav1_norm_firm_6 sgs5_hwav1_norm_firm_7 sgs5_hwav1_norm_firm_8 sgs5_hwav1_norm_firm_9 sgs5_hwav1_norm_firm_10 , absorb(ind_3) vce(cluster ind_3)
predict sdres, res


areg firmeffect_hwav1_norm_firm $cntrl_base $reg $ability sgs5_hwav1_norm_firm_1 sgs5_hwav1_norm_firm_2 sgs5_hwav1_norm_firm_3 sgs5_hwav1_norm_firm_4 ///
sgs5_hwav1_norm_firm_5 sgs5_hwav1_norm_firm_6 sgs5_hwav1_norm_firm_7 sgs5_hwav1_norm_firm_8 sgs5_hwav1_norm_firm_9 sgs5_hwav1_norm_firm_10, absorb(ind_3) vce(cluster ind_3)
predict res2, res


areg va_emp $cntrl_base $reg $comp2 $ability sgs5_hwav1_norm_firm_1 sgs5_hwav1_norm_firm_2 sgs5_hwav1_norm_firm_3 sgs5_hwav1_norm_firm_4 ///
sgs5_hwav1_norm_firm_5 sgs5_hwav1_norm_firm_6 sgs5_hwav1_norm_firm_7 sgs5_hwav1_norm_firm_8 sgs5_hwav1_norm_firm_9 sgs5_hwav1_norm_firm_10 , absorb(ind_3) vce(cluster ind_3)
predict res3, res
gen res32=(res3)^2
gen res33=(res3)^3

areg tfp $cntrl_base $reg $comp2 $ability sgs5_hwav1_norm_firm_1 sgs5_hwav1_norm_firm_2 sgs5_hwav1_norm_firm_3 sgs5_hwav1_norm_firm_4 ///
sgs5_hwav1_norm_firm_5 sgs5_hwav1_norm_firm_6 sgs5_hwav1_norm_firm_7 sgs5_hwav1_norm_firm_8 sgs5_hwav1_norm_firm_9 sgs5_hwav1_norm_firm_10, absorb(ind_3) vce(cluster ind_3)
predict res4, res

areg sd_5uw_hwav1_norm_firm $cntrl_base $reg $comp2 $ability sgs5_hwav1_norm_firm_1 sgs5_hwav1_norm_firm_2 sgs5_hwav1_norm_firm_3 sgs5_hwav1_norm_firm_4 ///
sgs5_hwav1_norm_firm_5 sgs5_hwav1_norm_firm_6 sgs5_hwav1_norm_firm_7 sgs5_hwav1_norm_firm_8 sgs5_hwav1_norm_firm_9 sgs5_hwav1_norm_firm_10, absorb(ind_3) vce(cluster ind_3)
predict res5, res

reg res2 res32 res33 res3 res4,  cluster(ind_3)
predict res6,res

*Regression based on Frisch–Waugh–Lovell theorem
qui: reg res6 res5, cluster(ind_3) 

local slope=_b[res5]
local interc=_b[_cons]

drop res2  
rename res6 res2
gen  sdres2=res5 

label var res "Average Wages (firm f.e. residuals)"
label var sdres "Std. dev. hours btw skill groups (residuals)"
label var res2 "Average Wages (firm f.e. residuals)"
label var sdres2 "Std. dev. hours btw skill groups (residuals)"

egen xg=cut(sdres), group(100)

bysort xg: egen meanz=mean(sdres2)
bysort xg: egen meank=mean(res2)

local labelz: variable label sdres2 
label var meanz "`labelz'"
local labelk: variable label res2
label var meank "`labelk'"

reghdfe firmeffect_hwav1_norm_firm sd_5uw_hwav1_norm_firm $cntrl_base $reg  $ability ///
 sgs5_hwav1_norm_firm_1 sgs5_hwav1_norm_firm_2 sgs5_hwav1_norm_firm_3 sgs5_hwav1_norm_firm_4 sgs5_hwav1_norm_firm_5 sgs5_hwav1_norm_firm_6  sgs5_hwav1_norm_firm_7 sgs5_hwav1_norm_firm_8 sgs5_hwav1_norm_firm_9 sgs5_hwav1_norm_firm_10 $prod, absorb(ind_3) cluster(ind_3)  

qui: test (sd_5uw_hwav1_norm_firm=0)
local pvalue2: display %8.2f r(p)
local coeff2: display %8.2f (_b[sd_5uw_hwav1_norm_firm])

twoway (function y=`interc'+`slope'*x, range(meanz) lcolor(black) ) ///
(scatter   meank meanz if meanz!=.,  legend(on order(1 "Baseline + productivity")) mcolor(gs6) text(0.05 3  "Slope=`coeff2', pvalue=`pvalue2'") xtitle("`labelz'") ytitle("`labelk'")) , ///
graphregion(color(white)) name("sd_5uw_hwav1_norm_firm_prod", replace) nodraw
graph combine sd_5uw_hwav1_norm_firm_prod, graphregion(color(white))
graph export ${graphs}Figure_3_1.pdf, replace

restore


********************************************************************************
******************************Panel B*******************************************
********************************************************************************

/*Without industry fixed effects*/
reg firmeffect_hwav1_norm_firm $cntrl_base $reg $ability $prod sgs5_hwav1_norm_firm_1 sgs5_hwav1_norm_firm_2 sgs5_hwav1_norm_firm_3 sgs5_hwav1_norm_firm_4 ///
sgs5_hwav1_norm_firm_5 sgs5_hwav1_norm_firm_6 sgs5_hwav1_norm_firm_7 sgs5_hwav1_norm_firm_8 sgs5_hwav1_norm_firm_9 sgs5_hwav1_norm_firm_10  if sd_5uw_hwav1_norm_firm!=., cluster(ind_3)   

reg firmeffect_hwav1_norm_firm $cntrl_base $reg $comp2 $ability sgs5_hwav1_norm_firm_1 sgs5_hwav1_norm_firm_2 sgs5_hwav1_norm_firm_3 sgs5_hwav1_norm_firm_4 ///
sgs5_hwav1_norm_firm_5 sgs5_hwav1_norm_firm_6 sgs5_hwav1_norm_firm_7 sgs5_hwav1_norm_firm_8 sgs5_hwav1_norm_firm_9 sgs5_hwav1_norm_firm_10  if sd_5uw_hwav1_norm_firm!=., cluster(ind_3)  
predict res_5uw_hwav1_norm_firm_avbi, res
reg  res_5uw_hwav1_norm_firm_avbi $prod 
gen PR2va5uw= e(r2_a)
reg firmeffect_hwav1_norm_firm sd_5uw_hwav1_norm_firm $cntrl_base $reg $ability sgs5_hwav1_norm_firm_1 sgs5_hwav1_norm_firm_2 sgs5_hwav1_norm_firm_3 sgs5_hwav1_norm_firm_4 ///
sgs5_hwav1_norm_firm_5 sgs5_hwav1_norm_firm_6 sgs5_hwav1_norm_firm_7 sgs5_hwav1_norm_firm_8 sgs5_hwav1_norm_firm_9 sgs5_hwav1_norm_firm_10, cluster(ind_3)  


reg firmeffect_hwav1_norm_firm $cntrl_base $reg $ability $ability sgs5_hwav1_norm_firm_1 sgs5_hwav1_norm_firm_2 sgs5_hwav1_norm_firm_3 sgs5_hwav1_norm_firm_4 ///
sgs5_hwav1_norm_firm_5 sgs5_hwav1_norm_firm_6 sgs5_hwav1_norm_firm_7 sgs5_hwav1_norm_firm_8 sgs5_hwav1_norm_firm_9 sgs5_hwav1_norm_firm_10 , cluster(ind_3)  
predict res_5uw_hwav1_norm_firm_abi, res
reg  res_5uw_hwav1_norm_firm_abi sd_5uw_hwav1_norm_firm  
gen PR25uw= e(r2_a)

gen coordin5uw=(PR25uw/PR2va5uw)*100
gen residual5uw=100-coordin5uw


/*With industry fixed effects*/
reg firmeffect_hwav1_norm_firm   $cntrl_base $reg $ability $prod $threedigit sgs5_hwav1_norm_firm_1 sgs5_hwav1_norm_firm_2 sgs5_hwav1_norm_firm_3 sgs5_hwav1_norm_firm_4 ///
sgs5_hwav1_norm_firm_5 sgs5_hwav1_norm_firm_6 sgs5_hwav1_norm_firm_7 sgs5_hwav1_norm_firm_8 sgs5_hwav1_norm_firm_9 sgs5_hwav1_norm_firm_10  if sd_5uw_hwav1_norm_firm!=., vce(cluster ind_3)   

reg firmeffect_hwav1_norm_firm   $cntrl_base $reg $ability  $threedigit sgs5_hwav1_norm_firm_1 sgs5_hwav1_norm_firm_2 sgs5_hwav1_norm_firm_3 sgs5_hwav1_norm_firm_4 ///
sgs5_hwav1_norm_firm_5 sgs5_hwav1_norm_firm_6 sgs5_hwav1_norm_firm_7 sgs5_hwav1_norm_firm_8 sgs5_hwav1_norm_firm_9 sgs5_hwav1_norm_firm_10  if sd_5uw_hwav1_norm_firm!=.,  vce(cluster ind_3)
predict res_5uw_hwav1_norm_firm_ne33, res
reg  res_5uw_hwav1_norm_firm_ne33 $prod 
gen PR2va5uw_ind3= e(r2_a)

*3 digit
reg firmeffect_hwav1_norm_firm sd_5uw_hwav1_norm_firm  $cntrl_base $reg $ability $threedigit sgs5_hwav1_norm_firm_1 sgs5_hwav1_norm_firm_2 sgs5_hwav1_norm_firm_3 sgs5_hwav1_norm_firm_4 ///
sgs5_hwav1_norm_firm_5 sgs5_hwav1_norm_firm_6 sgs5_hwav1_norm_firm_7 sgs5_hwav1_norm_firm_8 sgs5_hwav1_norm_firm_9 sgs5_hwav1_norm_firm_10 , vce(cluster ind_3)

reg firmeffect_hwav1_norm_firm   $cntrl_base $reg $ability $threedigit sgs5_hwav1_norm_firm_1 sgs5_hwav1_norm_firm_2 sgs5_hwav1_norm_firm_3 sgs5_hwav1_norm_firm_4 ///
sgs5_hwav1_norm_firm_5 sgs5_hwav1_norm_firm_6 sgs5_hwav1_norm_firm_7 sgs5_hwav1_norm_firm_8 sgs5_hwav1_norm_firm_9 sgs5_hwav1_norm_firm_10  ,   vce(cluster ind_3)
predict res_5uw_hwav1_norm_firm_hrsi3, res
reg  res_5uw_hwav1_norm_firm_hrsi3 sd_5uw_hwav1_norm_firm 
gen PR25uw_ind3= e(r2_a)




gen coord_ind35uw=(PR25uw_ind3/PR2va5uw_ind3)*100
gen residual_ind35uw=100- coord_ind35uw

gen indu=1 if _n==1
replace indu=3 if _n==2
gen sd=1 if _n==1 
replace sd=0 if _n==2

preserve
keep if _n==1 | _n==2
gen industry="Overall Def. 1" if indu==1 & sd==1
gen Def1="Overall"     if _n==1
replace Def1="Within 3 digit sectors" if _n==2 
gen coordination=coordin5uw       if indu==1 & sd==1
replace coordin5uw=. if _n!=1
replace coord_ind35uw=. if _n!=2
label var coordin5uw ""

graph bar coordin5uw coord_ind35uw, over(Def1)  ///
legend(order(2 "3 digit"))  nofill legend(off) ///
bar(1, color(black)) bar(2,color(gs6))  ///
blabel(bar, format(%9.1f) color(white) size(medlarge) position(center)) ///
ytitle("Constraints share (%)") graphregion(color(white))
graph export ${graphs}Figure_3_2.pdf, replace
restore

log close



