clear
set more off
capture log close

set trace off
clear matrix
set mem 3g

cap log close
log using ${log}Table3.log, replace

********************************************************************************
******************************COLUMNS 1 TO 5************************************
********************************************************************************

use  ${data}dario_part_time_new.dta, clear

***Standardize variables
rename firmeffect_hwav1_part_norm firmeffect_hwav1_norm_firm
rename  sgs5_hwav1_part_norm_1  sgs5_hwav1_norm_firm_1 
rename  sgs5_hwav1_part_norm_2  sgs5_hwav1_norm_firm_2
rename  sgs5_hwav1_part_norm_3  sgs5_hwav1_norm_firm_3
rename  sgs5_hwav1_part_norm_4  sgs5_hwav1_norm_firm_4
rename  sgs5_hwav1_part_norm_5  sgs5_hwav1_norm_firm_5
rename  sgs5_hwav1_part_norm_6  sgs5_hwav1_norm_firm_6
rename  sgs5_hwav1_part_norm_7  sgs5_hwav1_norm_firm_7
rename  sgs5_hwav1_part_norm_8  sgs5_hwav1_norm_firm_8
rename  sgs5_hwav1_part_norm_9  sgs5_hwav1_norm_firm_9
rename  sgs5_hwav1_part_norm_10  sgs5_hwav1_norm_firm_10
rename sd_5uw_hwav1_part_norm sd_5uw_hwav1_norm_firm
gen feffect_hwav1_norm_firmnd= firmeffect_hwav1_norm_firm
gen sd_5uw_hwav1_norm_firmnd= sd_5uw_hwav1_norm_firm

gen lhwagend=lhwage

sort cvrnr
merge cvrnr using ${data}preference
keep if _merge==3
drop _merge

drop if preference==.

ds hourlyind indfixsam cvrnr ind ind_1 ind_2 ind_3 ind_5 min_ind min_ind2  reg1 reg2 reg3 reg4 reg5 i1 i2 i3 i4 i5 i6   indpeak lhwagend feffect_hwav1_norm_firmnd  sd_5uw_hwav1_norm_firmnd, not

foreach i of var `r(varlist)' {
egen `i'std=std(`i')
local labelx: variable label `i'
replace `i'=`i'std
label var `i' "`labelx'"

}

tab ind_3, gen(ind_3_)

global socialskills "negotiat persuasion perceptiv coordact"
global ability      "avmangability avmedtability avmedbability avbotability "
global cntrl_base  "fansh exp funion female timnorm timnorm2 cap_emp "
global  prod        "va_emp vaemp2 vaemp3 tfp"
global reg       "reg1-reg4"
global threedigit "ind_3_*"


***Column 1
reg lhwage sd_5uw_hwav1_norm_firm , cluster(ind_3) 
estimates store ss5uw_hwav1_norm_firm_lw
reg lhwage , cluster(ind_3) 
predict res_5uw_hwav1_norm_firm_lw, res
reg  res_5uw_hwav1_norm_firm_lw sd_5uw_hwav1_norm_firm 
scalar PR2= e(r2_a)
estadd scalar PR2: ss5uw_hwav1_norm_firm_lw
estadd local fixed0 "NO": ss5uw_hwav1_norm_firm_lw
estadd local fixed1 "NO": ss5uw_hwav1_norm_firm_lw
estadd local fixed2 "NO": ss5uw_hwav1_norm_firm_lw
estadd local fixed3 "NO": ss5uw_hwav1_norm_firm_lw
estadd local fixed4 "NO": ss5uw_hwav1_norm_firm_lw
estadd local fixed5 "NO": ss5uw_hwav1_norm_firm_lw

qui sum lhwagend if e(sample)
scalar meany=r(mean)
scalar sdy=r(sd)
sum sd_5uw_hwav1_norm_firmnd if e(sample), mean
scalar meanx=r(mean)
estadd scalar meany: ss5uw_hwav1_norm_firm_lw
estadd scalar sdy: ss5uw_hwav1_norm_firm_lw
estadd scalar meanx: ss5uw_hwav1_norm_firm_lw

***Regressions with productivity measures to determine Constraints Share in Column 1
reg lhwage $prod , cluster(ind_3) 
estimates store va5uw_hwav1_norm_firm_lw
reg lhwage , cluster(ind_3) 
predict res_5uw_hwav1_norm_firm_valw, res
reg  res_5uw_hwav1_norm_firm_valw $prod 
scalar PR2va= e(r2_a)
estadd scalar PR2va: ss5uw_hwav1_norm_firm_lw

scalar coord=PR2/PR2va
estadd scalar coord: ss5uw_hwav1_norm_firm_lw


***Column 2
reg firmeffect_hwav1_norm_firm sd_5uw_hwav1_norm_firm , cluster(ind_3) 
estimates store ss5uw_hwav1_norm_firm_base
reg firmeffect_hwav1_norm_firm , cluster(ind_3) 
predict res_5uw_hwav1_norm_firm_base, res
reg  res_5uw_hwav1_norm_firm_base sd_5uw_hwav1_norm_firm 
scalar PR2= e(r2_a)
estadd scalar PR2: ss5uw_hwav1_norm_firm_base
estadd local fixed0 "NO": ss5uw_hwav1_norm_firm_base
estadd local fixed1 "NO": ss5uw_hwav1_norm_firm_base
estadd local fixed2 "NO": ss5uw_hwav1_norm_firm_base
estadd local fixed3 "NO": ss5uw_hwav1_norm_firm_base
estadd local fixed4 "NO": ss5uw_hwav1_norm_firm_base
estadd local fixed5 "NO": ss5uw_hwav1_norm_firm_base

qui sum feffect_hwav1_norm_firmnd if e(sample)
scalar meany=r(mean)
scalar sdy=r(sd)
sum sd_5uw_hwav1_norm_firmnd if e(sample), mean
scalar meanx=r(mean)
estadd scalar meany: ss5uw_hwav1_norm_firm_base
estadd scalar sdy: ss5uw_hwav1_norm_firm_base
estadd scalar meanx: ss5uw_hwav1_norm_firm_base

***Regressions with productivity measures to determine Constraints Share in Column 2
reg firmeffect_hwav1_norm_firm $prod , cluster(ind_3) 
estimates store va5uw_hwav1_norm_firm_base
reg firmeffect_hwav1_norm_firm , cluster(ind_3) 
predict res_5uw_hwav1_norm_firm_vabase, res
reg  res_5uw_hwav1_norm_firm_vabase $prod 
scalar PR2va= e(r2_a)
estadd scalar PR2va: ss5uw_hwav1_norm_firm_base

scalar coord=PR2/PR2va
estadd scalar coord: ss5uw_hwav1_norm_firm_base

***Column 3
reg firmeffect_hwav1_norm_firm sd_5uw_hwav1_norm_firm $cntrl_base $reg , vce(cluster ind_3)
estimates store ss5uw_hwav1_norm_firm_ab
reg firmeffect_hwav1_norm_firm $cntrl_base   $reg  ,  vce(cluster ind_3)
predict res_5uw_hwav1_norm_firm_ab, res
reg  res_5uw_hwav1_norm_firm_ab sd_5uw_hwav1_norm_firm  
scalar PR2abhwav1_norm_firm= e(r2_a)
scalar PR2= e(r2_a)
estadd scalar PR2: ss5uw_hwav1_norm_firm_ab
estadd local fixed0 "YES": ss5uw_hwav1_norm_firm_ab
estadd local fixed1 "YES": ss5uw_hwav1_norm_firm_ab
estadd local fixed2 "YES": ss5uw_hwav1_norm_firm_ab
estadd local fixed3 "NO": ss5uw_hwav1_norm_firm_ab
estadd local fixed4 "NO": ss5uw_hwav1_norm_firm_ab
estadd local fixed5 "NO": ss5uw_hwav1_norm_firm_ab
estadd local fixed6 "NO": ss5uw_hwav1_norm_firm_ab
estadd local fixed7 "NO": ss5uw_hwav1_norm_firm_ab

qui sum feffect_hwav1_norm_firmnd if e(sample)
scalar meany=r(mean)
scalar sdy=r(sd)
sum sd_5uw_hwav1_norm_firmnd if e(sample), mean
scalar meanx=r(mean)
estadd scalar meany: ss5uw_hwav1_norm_firm_ab
estadd scalar sdy: ss5uw_hwav1_norm_firm_ab
estadd scalar meanx: ss5uw_hwav1_norm_firm_ab

***Regressions with productivity measures to determine Constraints Share in Column 3
reg firmeffect_hwav1_norm_firm $cntrl_base    $reg $prod  if sd_5uw_hwav1_norm_firm!=.,  vce(cluster ind_3)
estimates store ss5uw_hwav1_norm_firm_avb
reg firmeffect_hwav1_norm_firm $cntrl_base     $reg  if sd_5uw_hwav1_norm_firm!=.,  vce(cluster ind_3)
predict res_5uw_hwav1_norm_firm_avb, res
reg  res_5uw_hwav1_norm_firm_avb $prod 
scalar PR2vaabhwav1_norm_firm= e(r2_a)
scalar PR2va= e(r2_a)
estadd scalar PR2va: ss5uw_hwav1_norm_firm_ab

estadd scalar coord=(PR2abhwav1_norm_firm/PR2vaabhwav1_norm_firm):  ss5uw_hwav1_norm_firm_ab
                     
***Column 4
reg firmeffect_hwav1_norm_firm sd_5uw_hwav1_norm_firm $cntrl_base $reg  $ability preference sgs5_hwav1_norm_firm_1 sgs5_hwav1_norm_firm_2 sgs5_hwav1_norm_firm_3 sgs5_hwav1_norm_firm_4 ///
sgs5_hwav1_norm_firm_5 sgs5_hwav1_norm_firm_6 sgs5_hwav1_norm_firm_7 sgs5_hwav1_norm_firm_8 sgs5_hwav1_norm_firm_9 sgs5_hwav1_norm_firm_10 ,  vce(cluster ind_3)
estimates store ss5uw_hwav1_norm_firm_in2
reg firmeffect_hwav1_norm_firm $cntrl_base $reg  $ability preference sgs5_hwav1_norm_firm_1 sgs5_hwav1_norm_firm_2 sgs5_hwav1_norm_firm_3 sgs5_hwav1_norm_firm_4 ///
sgs5_hwav1_norm_firm_5 sgs5_hwav1_norm_firm_6 sgs5_hwav1_norm_firm_7 sgs5_hwav1_norm_firm_8 sgs5_hwav1_norm_firm_9 sgs5_hwav1_norm_firm_10 , vce(cluster ind_3) 
predict res_5uw_hwav1_norm_firm_in2, res
reg  res_5uw_hwav1_norm_firm_in2 sd_5uw_hwav1_norm_firm  
scalar PR2ind2hwav1_norm_firm= e(r2_a)
scalar PR2= e(r2_a)
estadd scalar PR2: ss5uw_hwav1_norm_firm_in2 
estadd local fixed0 "YES": ss5uw_hwav1_norm_firm_in2
estadd local fixed1 "YES": ss5uw_hwav1_norm_firm_in2
estadd local fixed2 "YES": ss5uw_hwav1_norm_firm_in2
estadd local fixed3 "NO": ss5uw_hwav1_norm_firm_in2
estadd local fixed4 "YES": ss5uw_hwav1_norm_firm_in2
estadd local fixed5 "NO": ss5uw_hwav1_norm_firm_in2

qui sum feffect_hwav1_norm_firmnd if e(sample)
scalar meany=r(mean)
scalar sdy=r(sd)
sum sd_5uw_hwav1_norm_firmnd if e(sample), mean
scalar meanx=r(mean)
estadd scalar meany: ss5uw_hwav1_norm_firm_in2
estadd scalar sdy: ss5uw_hwav1_norm_firm_in2
estadd scalar meanx: ss5uw_hwav1_norm_firm_in2

***Regressions with productivity measures to determine Constraints Share in Column 4
reg firmeffect_hwav1_norm_firm sd_5uw_hwav1_norm_firm $cntrl_base $reg  $ability  $prod preference sgs5_hwav1_norm_firm_1 sgs5_hwav1_norm_firm_2 sgs5_hwav1_norm_firm_3 sgs5_hwav1_norm_firm_4 ///
sgs5_hwav1_norm_firm_5 sgs5_hwav1_norm_firm_6 sgs5_hwav1_norm_firm_7 sgs5_hwav1_norm_firm_8 sgs5_hwav1_norm_firm_9 sgs5_hwav1_norm_firm_10  if sd_5uw_hwav1_norm_firm!=.,  vce(cluster ind_3)  
estimates store ss5uw_hwav1_norm_firm_ne22
reg firmeffect_hwav1_norm_firm $cntrl_base   $reg  $ability preference  sgs5_hwav1_norm_firm_1 sgs5_hwav1_norm_firm_2 sgs5_hwav1_norm_firm_3 sgs5_hwav1_norm_firm_4 ///
sgs5_hwav1_norm_firm_5 sgs5_hwav1_norm_firm_6 sgs5_hwav1_norm_firm_7 sgs5_hwav1_norm_firm_8 sgs5_hwav1_norm_firm_9 sgs5_hwav1_norm_firm_10 if sd_5uw_hwav1_norm_firm!=.,  vce(cluster ind_3) 
predict res_5uw_hwav1_norm_firm_ne22, res
reg  res_5uw_hwav1_norm_firm_ne22 $prod 
scalar PR2vaind2hwav1_norm_firm= e(r2_a)
scalar PR2va= e(r2_a)
estadd scalar PR2va: ss5uw_hwav1_norm_firm_in2

estadd scalar coord=(PR2ind2hwav1_norm_firm/PR2vaind2hwav1_norm_firm): ss5uw_hwav1_norm_firm_in2


***Column 5
reg firmeffect_hwav1_norm_firm sd_5uw_hwav1_norm_firm $cntrl_base $reg  $ability preference $threedigit sgs5_hwav1_norm_firm_1 sgs5_hwav1_norm_firm_2 sgs5_hwav1_norm_firm_3 sgs5_hwav1_norm_firm_4 ///
sgs5_hwav1_norm_firm_5 sgs5_hwav1_norm_firm_6 sgs5_hwav1_norm_firm_7 sgs5_hwav1_norm_firm_8 sgs5_hwav1_norm_firm_9 sgs5_hwav1_norm_firm_10,  vce(cluster ind_3)
estimates store ss5uw_hwav1_norm_firm_in3
reg firmeffect_hwav1_norm_firm $cntrl_base $reg  $ability preference  $threedigit sgs5_hwav1_norm_firm_1 sgs5_hwav1_norm_firm_2 sgs5_hwav1_norm_firm_3 sgs5_hwav1_norm_firm_4 ///
sgs5_hwav1_norm_firm_5 sgs5_hwav1_norm_firm_6 sgs5_hwav1_norm_firm_7 sgs5_hwav1_norm_firm_8 sgs5_hwav1_norm_firm_9 sgs5_hwav1_norm_firm_10,  vce(cluster ind_3)
predict res_5uw_hwav1_norm_firm_in3, res
reg  res_5uw_hwav1_norm_firm_in3 sd_5uw_hwav1_norm_firm  
scalar PR2ind3hwav1_norm_firm= e(r2_a)
scalar PR2= e(r2_a)
estadd scalar PR2: ss5uw_hwav1_norm_firm_in3 
estadd local fixed0 "YES": ss5uw_hwav1_norm_firm_in3
estadd local fixed1 "YES": ss5uw_hwav1_norm_firm_in3
estadd local fixed2 "YES": ss5uw_hwav1_norm_firm_in3
estadd local fixed3 "NO": ss5uw_hwav1_norm_firm_in3
estadd local fixed4 "NO": ss5uw_hwav1_norm_firm_in3
estadd local fixed5 "YES": ss5uw_hwav1_norm_firm_in3

qui sum feffect_hwav1_norm_firmnd if e(sample)
scalar meany=r(mean)
scalar sdy=r(sd)
sum sd_5uw_hwav1_norm_firmnd if e(sample), mean
scalar meanx=r(mean)
estadd scalar meany: ss5uw_hwav1_norm_firm_in3
estadd scalar sdy: ss5uw_hwav1_norm_firm_in3
estadd scalar meanx: ss5uw_hwav1_norm_firm_in3

***Regressions with productivity measures to determine Constraints Share in Column 5
reg firmeffect_hwav1_norm_firm sd_5uw_hwav1_norm_firm $cntrl_base $reg  $ability  $prod preference  $threedigit sgs5_hwav1_norm_firm_1 sgs5_hwav1_norm_firm_2 sgs5_hwav1_norm_firm_3 sgs5_hwav1_norm_firm_4 ///
sgs5_hwav1_norm_firm_5 sgs5_hwav1_norm_firm_6 sgs5_hwav1_norm_firm_7 sgs5_hwav1_norm_firm_8 sgs5_hwav1_norm_firm_9 sgs5_hwav1_norm_firm_10 if sd_5uw_hwav1_norm_firm!=.,  vce(cluster ind_3)  
estimates store ss5uw_hwav1_norm_firm_ne23
reg firmeffect_hwav1_norm_firm $cntrl_base  $reg  $ability  preference  sgs5_hwav1_norm_firm_1 sgs5_hwav1_norm_firm_2 sgs5_hwav1_norm_firm_3 sgs5_hwav1_norm_firm_4 ///
sgs5_hwav1_norm_firm_5 sgs5_hwav1_norm_firm_6 sgs5_hwav1_norm_firm_7 sgs5_hwav1_norm_firm_8 sgs5_hwav1_norm_firm_9 sgs5_hwav1_norm_firm_10  $threedigit if sd_5uw_hwav1_norm_firm!=.,  vce(cluster ind_3) 
predict res_5uw_hwav1_norm_firm_ne23, res
reg  res_5uw_hwav1_norm_firm_ne23 $prod 
scalar PR2vaind3hwav1_norm_firm= e(r2_a)
scalar PR2va= e(r2_a)
estadd scalar PR2va: ss5uw_hwav1_norm_firm_in3
estadd scalar coord=(PR2ind3hwav1_norm_firm/PR2vaind3hwav1_norm_firm): ss5uw_hwav1_norm_firm_in3

***Output Columns 1 to 5
esttab ss5uw_hwav1_norm_firm_lw ss5uw_hwav1_norm_firm_base ss5uw_hwav1_norm_firm_ab  ss5uw_hwav1_norm_firm_in2  ss5uw_hwav1_norm_firm_in3    /// 
 using ${tables}Table3.txt, label /// 
b(%9.3f) se(%9.3f) stat(fixed0 fixed2  fixed5 meany sdy meanx PR2 PR2va coord r2_a N, fmt( %9.3f %9.3f %9.3f %9.3f %9.3f %9.3f %9.3f %9.3f %9.3f %9.3f %9.0f ) ///
labels("Region f.e." "Additional Controls"  "3 digits Sector f.e." "Mean dep. variable" "Std. dev. dep. variable" "Mean SD Hours btw skills" "Part. R-sq SD Hours" "Part. R-sq VA and Sales" "Constraints Share" "R-sq" N)) ///
keep(sd_5uw_hwav1_norm_firm  $cntrl_base preference) /// 
order(sd_5uw_hwav1_norm_firm   $cntrl_base preference) ///
replace starlevels(* 0.10 ** 0.05 *** 0.01)


********************************************************************************
****************************COLUMN 6********************************************
********************************************************************************

***Workers with a secondary job
use ${data}noacctbsecjob.dta, clear
sort pnr year
save  ${data}noacctbsecjob.dta, replace

use ${data}data_pre_akm_all_pt.dta , clear
sort pnr year

merge pnr year using ${data}noacctbsecjob.dta, keep(pnr year)
drop if _merge==2
gen sec_job=(_merge==3)
drop _merge

destring pnr, gen(pnr2)
destring cvrnr, gen(cvrnr2)

tsset pnr2 year

***Identify stayers
gen stayer=(cvrnr2==l.cvrnr2) & (cvrnr2==l2.cvrnr2) & (l.cvrnr2==l2.cvrnr2)

keep if stayer==1 & sec_job==1 

gen delta_wages=(lnwage-l.lnwage)

collapse  (sd) sd_wage_change=delta_wages, by(cvrnr)
sum sd_wage_change, det

gen bargaining=(sd_wage_change>=r(p75))

sort cvrnr

save ${data}bargaining.dta, replace


use  ${data}dario_part_time_new.dta, clear

sort cvrnr 

merge cvrnr  using ${data}bargaining.dta, keep(bargaining)
drop _merge

gen barg_firm=bargaining==1


sort cvrnr
merge cvrnr using ${data}preference
keep if _merge==3
drop _merge

drop if preference==.

***Standardize variables
rename firmeffect_hwav1_part_norm firmeffect_hwav1_norm_firm
rename  sgs5_hwav1_part_norm_1  sgs5_hwav1_norm_firm_1 
rename  sgs5_hwav1_part_norm_2  sgs5_hwav1_norm_firm_2
rename  sgs5_hwav1_part_norm_3  sgs5_hwav1_norm_firm_3
rename  sgs5_hwav1_part_norm_4  sgs5_hwav1_norm_firm_4
rename  sgs5_hwav1_part_norm_5  sgs5_hwav1_norm_firm_5
rename  sgs5_hwav1_part_norm_6  sgs5_hwav1_norm_firm_6
rename  sgs5_hwav1_part_norm_7  sgs5_hwav1_norm_firm_7
rename  sgs5_hwav1_part_norm_8  sgs5_hwav1_norm_firm_8
rename  sgs5_hwav1_part_norm_9  sgs5_hwav1_norm_firm_9
rename  sgs5_hwav1_part_norm_10  sgs5_hwav1_norm_firm_10
rename sd_5uw_hwav1_part_norm sd_5uw_hwav1_norm_firm
gen feffect_hwav1_norm_firmnd= firmeffect_hwav1_norm_firm
gen sd_5uw_hwav1_norm_firmnd= sd_5uw_hwav1_norm_firm

gen lhwagend=lhwage

ds hourlyind indfixsam cvrnr ind ind_1 ind_2 ind_3 ind_5 min_ind min_ind2  reg1 reg2 reg3 reg4 reg5 i1 i2 i3 i4 i5 i6   indpeak lhwagend feffect_hwav1_norm_firmnd  sd_5uw_hwav1_norm_firmnd, not

foreach i of var `r(varlist)' {
egen `i'std=std(`i')
local labelx: variable label `i'
replace `i'=`i'std
label var `i' "`labelx'"

}

tab ind_3, gen(ind_3_)

gen interaction=barg_firm*sd_5uw_hwav1_norm_firm

***Column 6
reg firmeffect_hwav1_norm_firm sd_5uw_hwav1_norm_firm barg_firm interaction $cntrl_base $reg  $ability preference $threedigit sgs5_hwav1_norm_firm_1 sgs5_hwav1_norm_firm_2 sgs5_hwav1_norm_firm_3 sgs5_hwav1_norm_firm_4 ///
sgs5_hwav1_norm_firm_5 sgs5_hwav1_norm_firm_6 sgs5_hwav1_norm_firm_7 sgs5_hwav1_norm_firm_8 sgs5_hwav1_norm_firm_9 sgs5_hwav1_norm_firm_10 ,  vce(cluster ind_3)
estimates store ss5uw_hwav1_norm_firm_in3
reg firmeffect_hwav1_norm_firm barg_firm $cntrl_base $reg  $ability preference  $threedigit sgs5_hwav1_norm_firm_1 sgs5_hwav1_norm_firm_2 sgs5_hwav1_norm_firm_3 sgs5_hwav1_norm_firm_4 ///
sgs5_hwav1_norm_firm_5 sgs5_hwav1_norm_firm_6 sgs5_hwav1_norm_firm_7 sgs5_hwav1_norm_firm_8 sgs5_hwav1_norm_firm_9 sgs5_hwav1_norm_firm_10,  vce(cluster ind_3)
predict res_5uw_hwav1_norm_firm_in3, res
reg  res_5uw_hwav1_norm_firm_in3 sd_5uw_hwav1_norm_firm  
scalar PR2ind3hwav1_norm_firm= e(r2_a)
scalar PR2= e(r2_a)
estadd scalar PR2: ss5uw_hwav1_norm_firm_in3 
estadd local fixed0 "YES": ss5uw_hwav1_norm_firm_in3
estadd local fixed1 "YES": ss5uw_hwav1_norm_firm_in3
estadd local fixed2 "YES": ss5uw_hwav1_norm_firm_in3
estadd local fixed3 "NO": ss5uw_hwav1_norm_firm_in3
estadd local fixed4 "NO": ss5uw_hwav1_norm_firm_in3
estadd local fixed5 "YES": ss5uw_hwav1_norm_firm_in3

qui sum feffect_hwav1_norm_firmnd if e(sample)
scalar meany=r(mean)
scalar sdy=r(sd)
sum sd_5uw_hwav1_norm_firmnd if e(sample), mean
scalar meanx=r(mean)
estadd scalar meany: ss5uw_hwav1_norm_firm_in3
estadd scalar sdy: ss5uw_hwav1_norm_firm_in3
estadd scalar meanx: ss5uw_hwav1_norm_firm_in3

***Regressions with productivity measures to determine Constraints Share in Column 6
reg firmeffect_hwav1_norm_firm sd_5uw_hwav1_norm_firm barg_firm interaction  $cntrl_base $reg  $ability  $prod preference  $threedigit sgs5_hwav1_norm_firm_1 sgs5_hwav1_norm_firm_2 sgs5_hwav1_norm_firm_3 sgs5_hwav1_norm_firm_4 ///
sgs5_hwav1_norm_firm_5 sgs5_hwav1_norm_firm_6 sgs5_hwav1_norm_firm_7 sgs5_hwav1_norm_firm_8 sgs5_hwav1_norm_firm_9 sgs5_hwav1_norm_firm_10 if sd_5uw_hwav1_norm_firm!=.,  vce(cluster ind_3)  
estimates store ss5uw_hwav1_norm_firm_ne23
reg firmeffect_hwav1_norm_firm $cntrl_base  $reg  $ability  preference  sgs5_hwav1_norm_firm_1 sgs5_hwav1_norm_firm_2 sgs5_hwav1_norm_firm_3 sgs5_hwav1_norm_firm_4 ///
sgs5_hwav1_norm_firm_5 sgs5_hwav1_norm_firm_6 sgs5_hwav1_norm_firm_7 sgs5_hwav1_norm_firm_8 sgs5_hwav1_norm_firm_9 sgs5_hwav1_norm_firm_10 $threedigit if sd_5uw_hwav1_norm_firm!=.,  vce(cluster ind_3) 
predict res_5uw_hwav1_norm_firm_ne23, res
reg  res_5uw_hwav1_norm_firm_ne23 $prod 
scalar PR2vaind3hwav1_norm_firm= e(r2_a)
scalar PR2va= e(r2_a)
estadd scalar PR2va: ss5uw_hwav1_norm_firm_in3

estadd scalar coord=(PR2ind3hwav1_norm_firm/PR2vaind3hwav1_norm_firm): ss5uw_hwav1_norm_firm_in3

***Output Column 6
esttab  ss5uw_hwav1_norm_firm_in3    /// 
 using ${tables}Table3_barg.txt, label /// 
b(%9.3f) se(%9.3f) stat(fixed0 fixed2  fixed5 meany sdy meanx PR2 PR2va coord r2_a N, fmt( %9.3f %9.3f %9.3f %9.3f %9.3f %9.3f %9.3f %9.3f %9.3f %9.3f %9.0f ) ///
labels("Region f.e." "Controls for sorting"  "3 digits Sector f.e." "Mean dep. variable" "Std. dev. dep. variable" "Mean SD Hours btw skills" "Part. R-sq SD Hours" "Part. R-sq VA and Sales" "Constraints Share" "R-sq" N)) ///
keep(sd_5uw_hwav1_norm_firm  $cntrl_base preference barg_firm interaction) /// 
order(sd_5uw_hwav1_norm_firm $cntrl_base preference barg_firm interaction) ///
replace starlevels(* 0.10 ** 0.05 *** 0.01)

log close



