clear
set more off
capture log close

set trace off
clear matrix
set mem 3g


cap log close
log using ${log}Table5.log, replace

*************************************************************************
***Oster (2019) test based on the specification of column 5 in Table 3***
*************************************************************************

use  ${data}dario_part_time_new.dta, clear

***Standardize variables
rename firmeffect_hwav1_part_norm firmeffect_hwav1_norm_firm
rename  sgs5_hwav1_part_norm_1  sgs5_hwav1_norm_firm_1 
rename  sgs5_hwav1_part_norm_2  sgs5_hwav1_norm_firm_2
rename  sgs5_hwav1_part_norm_3  sgs5_hwav1_norm_firm_3
rename  sgs5_hwav1_part_norm_4  sgs5_hwav1_norm_firm_4
rename  sgs5_hwav1_part_norm_5  sgs5_hwav1_norm_firm_5
rename  sgs5_hwav1_part_norm_6  sgs5_hwav1_norm_firm_6
rename  sgs5_hwav1_part_norm_7  sgs5_hwav1_norm_firm_7
rename  sgs5_hwav1_part_norm_8  sgs5_hwav1_norm_firm_8
rename  sgs5_hwav1_part_norm_9  sgs5_hwav1_norm_firm_9
rename  sgs5_hwav1_part_norm_10  sgs5_hwav1_norm_firm_10
rename sd_5uw_hwav1_part_norm sd_5uw_hwav1_norm_firm
gen feffect_hwav1_norm_firmnd= firmeffect_hwav1_norm_firm
gen sd_5uw_hwav1_norm_firmnd= sd_5uw_hwav1_norm_firm

gen lhwagend=lhwage

sort cvrnr
merge cvrnr using ${data}preference
keep if _merge==3
drop _merge

drop if preference==.

ds hourlyind indfixsam cvrnr ind ind_1 ind_2 ind_3 ind_5 min_ind min_ind2  reg1 reg2 reg3 reg4 reg5 i1 i2 i3 i4 i5 i6   indpeak lhwagend feffect_hwav1_norm_firmnd  sd_5uw_hwav1_norm_firmnd, not

foreach i of var `r(varlist)' {
egen `i'std=std(`i')
local labelx: variable label `i'
replace `i'=`i'std
label var `i' "`labelx'"

}

tab ind_3, gen(ind_3_)

global ability      "avmangability avmedtability avmedbability avbotability "
global cntrl_base  "fansh exp funion female timnorm timnorm2 cap_emp "
global  prod        "va_emp vaemp2 vaemp3 tfp"
global reg       "reg1-reg4"
global threedigit "ind_3_*"

reg firmeffect_hwav1_norm_firm sd_5uw_hwav1_norm_firm $cntrl_base $reg  $ability preference $threedigit sgs5_hwav1_norm_firm_1 sgs5_hwav1_norm_firm_2 sgs5_hwav1_norm_firm_3 sgs5_hwav1_norm_firm_4 ///
sgs5_hwav1_norm_firm_5 sgs5_hwav1_norm_firm_6 sgs5_hwav1_norm_firm_7 sgs5_hwav1_norm_firm_8 sgs5_hwav1_norm_firm_9 sgs5_hwav1_norm_firm_10,  vce(cluster ind_3)

***Columns 1 and 2
psacalc beta sd_5uw_hwav1_norm_firm , model(reg firmeffect_hwav1_norm_firm sd_5uw_hwav1_norm_firm $cntrl_base $reg  $ability preference $threedigit sgs5_hwav1_norm_firm_1 sgs5_hwav1_norm_firm_2 sgs5_hwav1_norm_firm_3 sgs5_hwav1_norm_firm_4 ///
sgs5_hwav1_norm_firm_5 sgs5_hwav1_norm_firm_6 sgs5_hwav1_norm_firm_7 sgs5_hwav1_norm_firm_8 sgs5_hwav1_norm_firm_9 sgs5_hwav1_norm_firm_10,  vce(cluster ind_3)) rmax(0.4561) delta(1)

***Column 3
psacalc delta sd_5uw_hwav1_norm_firm , model(reg firmeffect_hwav1_norm_firm sd_5uw_hwav1_norm_firm $cntrl_base $reg  $ability preference $threedigit sgs5_hwav1_norm_firm_1 sgs5_hwav1_norm_firm_2 sgs5_hwav1_norm_firm_3 sgs5_hwav1_norm_firm_4 ///
sgs5_hwav1_norm_firm_5 sgs5_hwav1_norm_firm_6 sgs5_hwav1_norm_firm_7 sgs5_hwav1_norm_firm_8 sgs5_hwav1_norm_firm_9 sgs5_hwav1_norm_firm_10,  vce(cluster ind_3)) rmax(0.4561) 


log close



